--- dvdread/bswap.h.old	2006-08-23 21:23:23.000000000 -0400
+++ dvdread/bswap.h	2006-08-23 21:33:04.000000000 -0400
@@ -35,7 +35,13 @@
 #include <sys/param.h>
 #endif
 
-#if defined(__linux__)
+#if defined(__DARWIN__)
+#include <libkern/osbyteorder.h>
+#define B2N_16(x) OSSwapHostToBigInt16(x)
+#define B2N_32(x) OSSwapHostToBigInt32(x)
+#define B2N_64(x) OSSwapHostToBigInt64(x)
+
+#elif defined(__linux__)
 #include <byteswap.h>
 #define B2N_16(x) x = bswap_16(x)
 #define B2N_32(x) x = bswap_32(x)
